<?xml version="1.0" encoding="UTF-8" ?>

<ClassComponent localName="NPCFaceCheckBox" description="Компонент кнопка-флаг."
	fileName="NPCFaceCheckBox.jar" className="org.mati.npc.faces.NPCFaceCheckBox"
	version="9345" time="17.02.2009 16:31:02">

	<Group>Визуальные компоненты</Group>

	<!--INLINKS BEGIN-->
	<INLink name="InGetComponent"
		description="Связь с компонентом контейнером."
		interfaceName="org.mati.npc.components.interfaces.NPCFaceComponent"
		linksNumber="1" nullable="false">
	</INLink>
	<INLink name="InGetButton"
		description="Связь с компонентом группа кнопок."
		interfaceName="org.mati.npc.components.interfaces.NPCFaceButton"
		linksNumber="0" nullable="true">
	</INLink>
	<INLink name="InSetSelected"
		description="Связь, служащая для передачи логического значения на компонент и изменения свойтсва SELECTED. TRUE устанавливает флаг, FALSE его снимает."
		interfaceName="org.mati.npc.components.interfaces.SensorListener"
		linksNumber="0" nullable="true">
	</INLink>
	<INLink name="InSetEnabled"
		description="Связь, служащая для изменения свойства ENABLED. TRUE разрешает изменение кнопки-флага, FALSE запрещает её изменение."
		interfaceName="org.mati.npc.components.interfaces.SensorListener"
		linksNumber="0" nullable="true">
	</INLink>
	<INLink name="InPerformAction"
		description="Связь, служащая для передачи команды на отправление по исходящим связям текущих значений свойств кнопки-флага."
		interfaceName="org.mati.npc.components.interfaces.SensorListener"
		linksNumber="0" nullable="true">
	</INLink>
	<INLink name="InVisibility"
		description="Входящая связь допускает изменение видимости компонента."
		interfaceName="org.mati.npc.components.interfaces.NPCUniversalLogicalInterface"
		linksNumber="1" nullable="true">
	</INLink>
	<INLink name="InEnable"
		description="Входящая связь допускает enable/disable компонента."
		interfaceName="org.mati.npc.components.interfaces.NPCUniversalLogicalInterface"
		linksNumber="1" nullable="true">
	</INLink>
	<!--INLINKS END-->

	<!--OUTLINKS BEGIN-->
	<OUTLink name="OutSelectionChanged"
		description="Связь, служащая для передачи логического значения состояния флажка. TRUE - флаг установлен, FALSE - флаг снят."
		interfaceName="org.mati.npc.components.interfaces.SensorListener"
		linksNumber="0" nullable="true">
	</OUTLink>
	<OUTLink name="OutActivityChanged"
		description="Связь, служащая для передачи логического значения свойтсва ENABLED. TRUE - кнопка-флаг доступна для изменения, FALSE - недоступна."
		interfaceName="org.mati.npc.components.interfaces.SensorListener"
		linksNumber="0" nullable="true">
	</OUTLink>
	<!--OUTLINKS END-->

	<!--PROPERTIES BEGIN-->
	<Attribute name="PositionX"
		description="Координата левого верхнего угла по оси X (относительная)."
		defaultValue="0"
		type="java.lang.Integer" nullable="false">
	</Attribute>
	<Attribute name="PositionY"
		description="Координата левого верхнего угла по оси Y (относительная)."
		defaultValue="0"
		type="java.lang.Integer" nullable="false">
	</Attribute>
	<Attribute name="Selected"
		description="TRUE - флаг установлен, FALSE - флаг снят."
		type="java.lang.Boolean" nullable="false" defaultValue="false">
	</Attribute>
	<Attribute name="Enabled"
		description="TRUE - доступен для изменения, FALSE - недоступен."
		type="java.lang.Boolean" nullable="false" defaultValue="true">
	</Attribute>
	<Attribute name="PerformActionEnabled"
		description="TRUE - сообщения о изменниях свойств отправляются немедленно, FALSE - отправка происходит по событию InPerformAction."
		type="java.lang.Boolean" nullable="false" defaultValue="false">
	</Attribute>
	<Attribute name="Text" description="Текст кнопки-флага."
		type="java.lang.String" nullable="true">
	</Attribute>
	<Attribute name="Icon"
		description="Путь к картинке в нормальном состоянии (GIF, JPEG, PNG)."
		type="java.io.File" nullable="true">
	</Attribute>
	<Attribute name="PressedIcon"
		description="Путь к картинке для нажатого состояния (GIF, JPEG, PNG)."
		type="java.io.File" nullable="true">
	</Attribute>
	<Attribute name="SelectedIcon"
		description="Путь к картинке для выбранного состояния (GIF, JPEG, PNG)."
		type="java.io.File" nullable="true">
	</Attribute>
	<Attribute name="RolloverIcon"
		description="Путь к картинке для подсвеченного состояния (GIF, JPEG, PNG)."
		type="java.io.File" nullable="true">
	</Attribute>
	<Attribute name="RolloverSelectedIcon"
		description="Путь к картинке для выбранного подсвеченного состояния (GIF, JPEG, PNG)."
		type="java.io.File" nullable="true">
	</Attribute>
	<Attribute name="FontName"
		description="Имя шрифта."
		type="java.util.List" nullable="true" defaultValue="Arial">
		<List value="Arial" />
		<List value="Arial Black" />
		<List value="Arial Narrow" />
		<List value="Arial Unicode MS" />
		<List value="Batang" />
		<List value="Bitstream Vera Sans" />
		<List value="Bitstream Vera Sans Mono" />
		<List value="Bitstream Vera Serif" />
		<List value="Book Antiqua, Bookman Old Style" />
		<List value="Century" />
		<List value="Century Gothic" />
		<List value="Comic Sans MS" />
		<List value="Courier New, Dialog" />
		<List value="DialogInput" />
		<List value="Estrangelo Edessa" />
		<List value="Franklin Gothic Medium" />
		<List value="Garamond," />
		<List value="Gautami" />
		<List value="Georgia" />
		<List value="Haettenschweiler" />
		<List value="Impact" />
		<List value="Kartika" />
		<List value="Latha" />
		<List value="Lucida Console" />
		<List value="Lucida Sans" />
		<List value="Lucida Sans Unicode" />
		<List value="Mangal" />
		<List value="Marlett" />
		<List value="Microsoft Sans Serif" />
		<List value="Monospaced" />
		<List value="Monotype Corsiva" />
		<List value="MS Mincho" />
		<List value="MS Outlook" />
		<List value="MT Extra" />
		<List value="MV Boli" />
		<List value="OpenSymbol" />
		<List value="Palatino Linotype" />
		<List value="Raavi" />
		<List value="SansSerif" />
		<List value="Serif" />
		<List value="Shruti" />
		<List value="SimSun" />
		<List value="Sylfaen" />
		<List value="Symbol" />
		<List value="Tahoma" />
		<List value="Times New Roman" />
		<List value="Trebuchet MS" />
		<List value="Tunga" />
		<List value="Verdana" />
		<List value="Vrinda" />
		<List value="Webdings" />
		<List value="Wingdings" />
		<List value="Wingdings 3" />
	</Attribute>
	<Attribute name="FontSize" description="Размер шрифта"
		defaultValue="22"
		type="java.lang.Integer" nullable="true">
	</Attribute>
	<Attribute name="FontStyle"
		description="Стиль шрифта сообщения"
		type="java.util.List" nullable="true" defaultValue="обычный">
		<List value="обычный" />
		<List value="жирный" />
		<List value="курсивный" />
		<List value="жирный и курсивный" />
	</Attribute>
	<!--PROPERTIES END-->

</ClassComponent>
